ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Tom Beerbower (JIRA)" <j...@apache.org>
Subject [jira] [Created] (AMBARI-9133) Views: min and max version
Date Wed, 14 Jan 2015 18:33:34 GMT
Tom Beerbower created AMBARI-9133:
-------------------------------------

             Summary: Views: min and max version
                 Key: AMBARI-9133
                 URL: https://issues.apache.org/jira/browse/AMBARI-9133
             Project: Ambari
          Issue Type: Improvement
            Reporter: Tom Beerbower
            Assignee: Tom Beerbower
             Fix For: 2.0.0


Add support for including optional min, max or min+max Ambari version in view.xml. This can
include exact versions or variables. A few examples:

<minVersion>1.7.0</minVersion>
<minVersion>1.7.*</minVersion>
<maxVersion>1.*</maxVersion>

On deploy, ambari should validate the view meets the min/max specified and if not, not deploy
and produce an error in the log with the details (for example: "view requires minimum ambari
version 1.7") 



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message